|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QTcpSocket Class Reference
[QtNetwork module]

The QTcpSocket class provides a TCP socket. More...

     #include <QTcpSocket>

Inherits QAbstractSocket.

Inherited by QSslSocket.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QTcpSocket ( QObject * parent = 0 )
- virtual ~QTcpSocket ()

- 27 public functions inherited from QAbstractSocket
- 33 public functions inherited from QIODevice
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 6 signals inherited from QAbstractSocket
- 4 signals inherited from QIODevice
- 1 signal inherited from QObject
- 5 static public members inherited from QObject
- 7 protected functions inherited from QAbstractSocket
- 5 protected functions inherited from QIODevice
- 7 protected functions inherited from QObject
- 2 protected slots inherited from QAbstractSocket

## Detailed Description

The QTcpSocket class provides a TCP socket.

TCP (Transmission Control Protocol) is a reliable, stream-oriented, connection-oriented transport protocol. It is especially well suited for continuous transmission of data.

QTcpSocket is a convenience subclass of QAbstractSocket that allows you to establish a TCP connection and transfer streams of data. See the QAbstractSocket documentation for details.

Note: TCP sockets cannot be opened in QIODevice::Unbuffered mode.

See also QTcpServer, QUdpSocket, QFtp, QHttp, Fortune Server Example, Fortune Client Example, Threaded Fortune Server Example, Blocking Fortune Client Example, Loopback Example, and Torrent Example.

## Member Function Documentation

### QTcpSocket::QTcpSocket ( QObject * parent = 0 )

Creates a QTcpSocket object in state `UnconnectedState`.

parent is passed on to the QObject constructor.

See also socketType().

### QTcpSocket::~QTcpSocket () `[virtual]`

Destroys the socket, closing the connection if necessary.

See also close().